For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] testing/kmix: New aport

k0r10n
Details
Message ID
<1417854101-15812-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1417854101
DKIM signature
missing
Download raw message
Patch: +46 -0
---
 testing/kmix/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/kmix/APKBUILD

diff --git a/testing/kmix/APKBUILD b/testing/kmix/APKBUILD
new file mode 100644
index 0000000..a725c64
--- /dev/null
+++ b/testing/kmix/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: k0r10n <k0r10n.dev@gmail.com>
+# Maintainer:
+pkgname=kmix
+pkgver=4.13.3
+pkgrel=0
+pkgdesc="Mixer for KDE"
+url="http://kde.org/applications/multimedia/kmix/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="kdelibs-dev libcanberra-dev"
+makedepends="$depends_dev cmake automoc4"
+install=""
+subpackages="$pkgname-doc"
+source="http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.xz"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	mkdir "$_builddir"/build || return 1
+}
+
+build() {
+	cd "$_builddir"/build
+	cmake -DCMAKE_INSTALL_PREFIX=/usr \
+	      -DCMAKE_BUILD_TYPE=Release \
+	      -DKDE4_BUILD_TESTS=OFF \
+	      -Wno-dev \
+	      "$_builddir" || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"/build
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="9df8965b7a514a679863a5a7917e40ec  kmix-4.13.3.tar.xz"
+sha256sums="38dfca73cc303e9448eea046f20e04e59ae97e1d7f8b71b41f9f049b1dee232f  kmix-4.13.3.tar.xz"
+sha512sums="3e19853f8cf6c95bb33aa5b572b212fbbc3d19a4f66376ffafc653d452dd8934d34253e986a28f5608d3a85477652df18c72a524c2565a38ce1fc69b0fff2a7d  kmix-4.13.3.tar.xz"
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141208170002.21f69beb@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1417854101-15812-1-git-send-email-k0r10n.dev@gmail.com> (view parent)
Sender timestamp
1418054402
DKIM signature
missing
Download raw message
On Sat,  6 Dec 2014 12:21:41 +0400
k0r10n <k0r10n.dev@gmail.com> wrote:

> ---
>  testing/kmix/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 46 insertions(+)
>  create mode 100644 testing/kmix/APKBUILD

applied. thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---